Bug 426770 - SELinux is preventing /usr/lib/firefox-2.0.0.10/firefox-bin from loading /usr/lib/firefox-2.0.0.10/plugins/nppdf.so which requires text relocation.
Summary: SELinux is preventing /usr/lib/firefox-2.0.0.10/firefox-bin from loading /usr...
Status: CLOSED DUPLICATE of bug 250249
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox   
(Show other bugs)
Version: 8
Hardware: i386
OS: Linux
low
low
Target Milestone: ---
Assignee: Gecko Maintainer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: SELinux
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-12-26 04:55 UTC by Opie Reger
Modified: 2018-04-11 12:14 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-03 11:16:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Opie Reger 2007-12-26 04:55:37 UTC
Description of problem:
The /usr/lib/firefox-2.0.0.10/firefox-bin application attempted to load
/usr/lib/firefox-2.0.0.10/plugins/nppdf.so which requires text relocation. This
is a potential security problem. Most libraries do not need this permission.
Libraries are sometimes coded incorrectly and request this permission. The
SELinux Memory Protection Tests web page explains how to remove this
requirement. You can configure SELinux temporarily to allow
/usr/lib/firefox-2.0.0.10/plugins/nppdf.so to use relocation as a workaround,
until the library is fixed. Please file a bug report against this package.

Version-Release number of selected component (if applicable):
firefox-2.0.0.10

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Matěj Cepl 2008-01-02 22:03:20 UTC
Dave, is this ours or yours problem?

Comment 2 Martin Stransky 2008-01-03 11:16:59 UTC

*** This bug has been marked as a duplicate of 250249 ***


Note You need to log in before you can comment on or make changes to this bug.